/*
 * TemplateJDialog.java
 *
 * Created on 1 octobre 2008, 08:26
 */

package org.cocktail.sapics.client.gui;

import java.awt.BorderLayout;
import java.text.DateFormat;
import java.text.SimpleDateFormat;
import java.util.Vector;

import javax.swing.BorderFactory;
import javax.swing.JScrollPane;
import javax.swing.ListSelectionModel;
import javax.swing.SwingConstants;

import org.cocktail.sapics.client.eof.model.EOArticle;
import org.cocktail.sapics.client.eof.model.EOArticleMarche;
import org.cocktail.sapics.client.eof.model.EOAttribution;
import org.cocktail.sapics.client.eof.model.EOAttributionCatalogue;
import org.cocktail.sapics.client.eof.model.EOCatalogue;
import org.cocktail.sapics.client.eof.model.EOCatalogueArticle;
import org.cocktail.sapics.client.eof.model.EOCatalogueArticleOpt;
import org.cocktail.sapics.client.eof.model.EOFournis;
import org.cocktail.sapics.client.eof.model.EOLot;
import org.cocktail.sapics.client.eof.model.EOMarche;
import org.cocktail.sapics.client.swing.TableSorter;
import org.cocktail.sapics.client.swing.ZEOTable;
import org.cocktail.sapics.client.swing.ZEOTableModel;
import org.cocktail.sapics.client.swing.ZEOTableModelColumn;
import org.cocktail.sapics.client.utilities.CocktailConstantes;

import com.webobjects.eointerface.EODisplayGroup;
import com.webobjects.foundation.NSArray;

/**
 *
 * @author  cpinsard
 */
public class CataloguesView  extends javax.swing.JDialog {

	/**
	 * 
	 */
	private static final long serialVersionUID = -6603863928653518115L;

	protected EODisplayGroup eodCatalogues, eodArticles, eodOptions;

	protected ZEOTable myEOTableCatalogues, myEOTableArticles, myEOTableOptions;
	protected ZEOTableModel myTableModelCatalogues, myTableModelArticles, myTableModelOptions  ;
	protected TableSorter myTableSorterCatalogues, myTableSorterArticles, myTableSorterOptions ;

    /** Creates new form TemplateJDialog */
    public CataloguesView(java.awt.Frame parent, boolean modal, EODisplayGroup dgCatalogues, EODisplayGroup dgArticles, EODisplayGroup dgOptions) {
        super(parent, modal);
        
        eodCatalogues = dgCatalogues;
        eodArticles = dgArticles;
        eodOptions = dgOptions;

        initComponents();
        initGui();
    }

    /** This method is called from within the constructor to
     * initialize the form.
     * WARNING: Do NOT modify this code. The content of this method is
     * always regenerated by the Form Editor.
     */

    // <editor-fold defaultstate="collapsed" desc="Generated Code">//GEN-BEGIN:initComponents
    private void initComponents() {

        buttonGroup1 = new javax.swing.ButtonGroup();
        jLabel1 = new javax.swing.JLabel();
        exercices = new javax.swing.JComboBox();
        jSeparator1 = new javax.swing.JSeparator();
        btnFermer = new javax.swing.JButton();
        btnUpdateOption = new javax.swing.JButton();
        viewArticles = new javax.swing.JPanel();
        btnDelOption = new javax.swing.JButton();
        btnAddOption = new javax.swing.JButton();
        btnAddCatalogue = new javax.swing.JButton();
        btnDelCatalogue = new javax.swing.JButton();
        btnUpdateArticle = new javax.swing.JButton();
        viewCatalogues = new javax.swing.JPanel();
        btnDelArticle = new javax.swing.JButton();
        btnAddArticle = new javax.swing.JButton();
        btnUpdateCatalogue1 = new javax.swing.JButton();
        viewOptions = new javax.swing.JPanel();
        checkValide = new javax.swing.JCheckBox();
        checkAnnule = new javax.swing.JCheckBox();
        tfFiltreCatalogue = new javax.swing.JTextField();
        jLabel2 = new javax.swing.JLabel();
        tfFiltreMarche = new javax.swing.JTextField();
        jLabel3 = new javax.swing.JLabel();
        jLabel4 = new javax.swing.JLabel();
        tfFiltreLot = new javax.swing.JTextField();
        jLabel5 = new javax.swing.JLabel();
        tfFiltreFournisseur = new javax.swing.JTextField();

        setDefaultCloseOperation(javax.swing.WindowConstants.DO_NOTHING_ON_CLOSE);
        setTitle("Gestion des CATALOGUES");

        jLabel1.setHorizontalAlignment(javax.swing.SwingConstants.RIGHT);
        jLabel1.setText("Exercice : ");

        exercices.setModel(new javax.swing.DefaultComboBoxModel(new String[] { "Item 1", "Item 2", "Item 3", "Item 4" }));

        btnFermer.setText("Fermer");
        btnFermer.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                btnFermerActionPerformed(evt);
            }
        });

        btnUpdateOption.setToolTipText("Ajout d'un nouveau marché");

        viewArticles.setBorder(javax.swing.BorderFactory.createEtchedBorder());
        viewArticles.setLayout(new java.awt.BorderLayout());

        btnDelOption.setToolTipText("Ajout d'un nouveau marché");

        btnAddOption.setToolTipText("Ajout d'un nouveau marché");

        btnAddCatalogue.setToolTipText("Ajout d'un nouveau marché");

        btnDelCatalogue.setToolTipText("Ajout d'un nouveau marché");

        btnUpdateArticle.setToolTipText("Ajout d'un nouveau marché");

        viewCatalogues.setBorder(javax.swing.BorderFactory.createEtchedBorder());
        viewCatalogues.setLayout(new java.awt.BorderLayout());

        btnDelArticle.setToolTipText("Ajout d'un nouveau marché");

        btnAddArticle.setToolTipText("Ajout d'un nouveau marché");

        btnUpdateCatalogue1.setToolTipText("Ajout d'un nouveau marché");

        viewOptions.setBorder(javax.swing.BorderFactory.createEtchedBorder());
        viewOptions.setLayout(new java.awt.BorderLayout());

        buttonGroup1.add(checkValide);
        checkValide.setText("Valides");
        checkValide.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                checkValideActionPerformed(evt);
            }
        });

        buttonGroup1.add(checkAnnule);
        checkAnnule.setText("Annulés");

        tfFiltreCatalogue.setFont(new java.awt.Font("Tahoma", 0, 10)); // NOI18N

        jLabel2.setHorizontalAlignment(javax.swing.SwingConstants.RIGHT);
        jLabel2.setText("Catalogue ?");

        tfFiltreMarche.setFont(new java.awt.Font("Tahoma", 0, 10)); // NOI18N

        jLabel3.setHorizontalAlignment(javax.swing.SwingConstants.RIGHT);
        jLabel3.setText("Marché ?");

        jLabel4.setHorizontalAlignment(javax.swing.SwingConstants.RIGHT);
        jLabel4.setText("Lot ?");

        tfFiltreLot.setFont(new java.awt.Font("Tahoma", 0, 10)); // NOI18N

        jLabel5.setHorizontalAlignment(javax.swing.SwingConstants.RIGHT);
        jLabel5.setText("Fournisseur ?");

        tfFiltreFournisseur.setFont(new java.awt.Font("Tahoma", 0, 10)); // NOI18N

        org.jdesktop.layout.GroupLayout layout = new org.jdesktop.layout.GroupLayout(getContentPane());
        getContentPane().setLayout(layout);
        layout.setHorizontalGroup(
            layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(layout.createSequentialGroup()
                .addContainerGap()
                .add(jLabel1, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 75, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(exercices, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 112, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED, 676, Short.MAX_VALUE)
                .add(checkValide)
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(checkAnnule)
                .add(14, 14, 14))
            .add(org.jdesktop.layout.GroupLayout.TRAILING, jSeparator1, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 1013, Short.MAX_VALUE)
            .add(org.jdesktop.layout.GroupLayout.TRAILING, layout.createSequentialGroup()
                .addContainerGap(879, Short.MAX_VALUE)
                .add(btnFermer, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 124, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .addContainerGap())
            .add(layout.createSequentialGroup()
                .add(32, 32, 32)
                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                    .add(layout.createSequentialGroup()
                        .add(jLabel2, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 68, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(tfFiltreCatalogue, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 50, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.UNRELATED)
                        .add(jLabel3, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 48, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(tfFiltreMarche, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 67, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(jLabel4, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 34, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(tfFiltreLot, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 72, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(jLabel5, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 84, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(tfFiltreFournisseur, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 72, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                    .add(layout.createSequentialGroup()
                        .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.TRAILING)
                            .add(viewCatalogues, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 943, Short.MAX_VALUE)
                            .add(org.jdesktop.layout.GroupLayout.LEADING, viewArticles, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 943, Short.MAX_VALUE)
                            .add(org.jdesktop.layout.GroupLayout.LEADING, viewOptions, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 943, Short.MAX_VALUE))
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                            .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.TRAILING)
                                .add(btnAddArticle, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 22, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                .add(btnUpdateArticle, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 22, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                            .add(btnDelArticle, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 22, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                            .add(btnDelOption, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 22, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                            .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.TRAILING)
                                .add(btnAddOption, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 22, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                .add(btnUpdateOption, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 22, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                            .add(btnDelCatalogue, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 22, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                            .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.TRAILING)
                                .add(btnAddCatalogue, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 22, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                .add(btnUpdateCatalogue1, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 22, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)))))
                .addContainerGap())
        );
        layout.setVerticalGroup(
            layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(layout.createSequentialGroup()
                .addContainerGap()
                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                    .add(jLabel1)
                    .add(exercices, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(checkValide)
                    .add(checkAnnule))
                .add(14, 14, 14)
                .add(jSeparator1, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .add(18, 18, 18)
                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                    .add(jLabel2)
                    .add(tfFiltreCatalogue, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(jLabel3)
                    .add(tfFiltreMarche, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(jLabel4)
                    .add(tfFiltreLot, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(jLabel5)
                    .add(tfFiltreFournisseur, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                    .add(viewCatalogues, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 294, Short.MAX_VALUE)
                    .add(layout.createSequentialGroup()
                        .add(btnAddCatalogue, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 22, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(btnUpdateCatalogue1, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 22, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(btnDelCatalogue, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 22, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)))
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                    .add(viewArticles, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 134, Short.MAX_VALUE)
                    .add(layout.createSequentialGroup()
                        .add(btnAddArticle, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 22, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(btnUpdateArticle, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 22, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(btnDelArticle, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 22, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)))
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                    .add(viewOptions, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 117, Short.MAX_VALUE)
                    .add(layout.createSequentialGroup()
                        .add(btnAddOption, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 22, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(btnUpdateOption, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 22, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(btnDelOption, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 22, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)))
                .add(30, 30, 30)
                .add(btnFermer)
                .addContainerGap())
        );

        java.awt.Dimension screenSize = java.awt.Toolkit.getDefaultToolkit().getScreenSize();
        setBounds((screenSize.width-1029)/2, (screenSize.height-751)/2, 1029, 751);
    }// </editor-fold>//GEN-END:initComponents

    private void btnFermerActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_btnFermerActionPerformed
        // TODO add your handling code here:
        dispose();
    }//GEN-LAST:event_btnFermerActionPerformed

    private void checkValideActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_checkValideActionPerformed
        // TODO add your handling code here:
    }//GEN-LAST:event_checkValideActionPerformed

    /**
    * @param args the command line arguments
    */
    public static void main(String args[]) {
        java.awt.EventQueue.invokeLater(new Runnable() {
            public void run() {
            	MarchesSaisieView dialog = new MarchesSaisieView(new javax.swing.JFrame(), true);
                dialog.addWindowListener(new java.awt.event.WindowAdapter() {
                    public void windowClosing(java.awt.event.WindowEvent e) {
                        System.exit(0);
                    }
                });
                dialog.setVisible(true);
            }
        });
    }

    // Variables declaration - do not modify//GEN-BEGIN:variables
    private javax.swing.JButton btnAddArticle;
    private javax.swing.JButton btnAddCatalogue;
    private javax.swing.JButton btnAddOption;
    private javax.swing.JButton btnDelArticle;
    private javax.swing.JButton btnDelCatalogue;
    private javax.swing.JButton btnDelOption;
    private javax.swing.JButton btnFermer;
    private javax.swing.JButton btnUpdateArticle;
    private javax.swing.JButton btnUpdateCatalogue1;
    private javax.swing.JButton btnUpdateOption;
    private javax.swing.ButtonGroup buttonGroup1;
    private javax.swing.JCheckBox checkAnnule;
    private javax.swing.JCheckBox checkValide;
    private javax.swing.JComboBox exercices;
    private javax.swing.JLabel jLabel1;
    private javax.swing.JLabel jLabel2;
    private javax.swing.JLabel jLabel3;
    private javax.swing.JLabel jLabel4;
    private javax.swing.JLabel jLabel5;
    private javax.swing.JSeparator jSeparator1;
    private javax.swing.JTextField tfFiltreCatalogue;
    private javax.swing.JTextField tfFiltreFournisseur;
    private javax.swing.JTextField tfFiltreLot;
    private javax.swing.JTextField tfFiltreMarche;
    protected javax.swing.JPanel viewArticles;
    protected javax.swing.JPanel viewCatalogues;
    protected javax.swing.JPanel viewOptions;
    // End of variables declaration//GEN-END:variables
    
    
    private void initGui() {

		btnAddCatalogue.setIcon(CocktailConstantes.ICON_ADD);
		btnUpdateCatalogue1.setIcon(CocktailConstantes.ICON_UPDATE);
		btnDelCatalogue.setIcon(CocktailConstantes.ICON_DELETE);
		
		btnAddArticle.setIcon(CocktailConstantes.ICON_ADD);
		btnUpdateArticle.setIcon(CocktailConstantes.ICON_UPDATE);
		btnDelArticle.setIcon(CocktailConstantes.ICON_DELETE);

		btnAddOption.setIcon(CocktailConstantes.ICON_ADD);
		btnUpdateOption.setIcon(CocktailConstantes.ICON_UPDATE);
		btnDelOption.setIcon(CocktailConstantes.ICON_DELETE);

		Vector<ZEOTableModelColumn> myCols = new Vector<ZEOTableModelColumn>();

		ZEOTableModelColumn col = new ZEOTableModelColumn(eodCatalogues, 
				EOAttributionCatalogue.CATALOGUE_KEY + "." + 
				EOCatalogue.CAT_LIBELLE_KEY, 
				"CATALOGUES", 300);
		col.setAlignment(SwingConstants.LEFT);
		myCols.add(col);
		col = new ZEOTableModelColumn(eodCatalogues, 
				EOAttributionCatalogue.CATALOGUE_KEY + "." + 
				EOCatalogue.FOURNIS_KEY + "." + 
				EOFournis.NOM_COMPLET_KEY, 
				"Fournisseur", 150);
		col.setAlignment(SwingConstants.LEFT);
		myCols.add(col);
		col = new ZEOTableModelColumn(eodCatalogues, 
				EOAttributionCatalogue.ATTRIBUTION_KEY + "." + 
				EOAttribution.LOT_KEY + "." + 
				EOLot.MARCHE_KEY + "." + 
				EOMarche.MAR_LIBELLE_KEY, 
				"Marché", 150);
		col.setAlignment(SwingConstants.LEFT);
		myCols.add(col);
		col = new ZEOTableModelColumn(eodCatalogues, 
				EOAttributionCatalogue.ATTRIBUTION_KEY + "." + 
				EOAttribution.LOT_KEY + "." + 
				EOLot.MARCHE_KEY + "." + 
				EOMarche.MAR_INDEX_KEY, 
				"Index", 20);
		col.setAlignment(SwingConstants.LEFT);
		myCols.add(col);
//		col = new ZEOTableModelColumn(eodCatalogues, 
//				EOAttributionCatalogue.ATTRIBUTION_KEY + "." + 
//				EOAttribution.LOT_KEY + "." + 
//				EOLot.LOT_LIBELLE_KEY, 
//				"Lot", 100);
//		col.setAlignment(SwingConstants.CENTER);
//		myCols.add(col);
		col = new ZEOTableModelColumn(eodCatalogues, 
		EOAttributionCatalogue.ATTRIBUTION_KEY + "." + 
		EOAttribution.LOT_KEY + "." + 
		EOLot.LOT_INDEX_KEY, 
		"Lot Indx", 30);
		col.setAlignment(SwingConstants.LEFT);
		myCols.add(col);
		col = new ZEOTableModelColumn(eodCatalogues, 
				EOAttributionCatalogue.CATALOGUE_KEY + "." + 
				EOCatalogue.CAT_DATE_DEBUT_KEY, 
				"Début", 50);
		col.setAlignment(SwingConstants.CENTER);
		col.setFormatDisplay((DateFormat)new SimpleDateFormat("dd/MM/yyyy"));
		myCols.add(col);
		col = new ZEOTableModelColumn(eodCatalogues, 
				EOAttributionCatalogue.CATALOGUE_KEY + "." + 
				EOCatalogue.CAT_DATE_FIN_KEY, 
				"Fin", 50);
		col.setAlignment(SwingConstants.CENTER);
		col.setFormatDisplay((DateFormat)new SimpleDateFormat("dd/MM/yyyy"));
		myCols.add(col);

		myTableModelCatalogues = new ZEOTableModel(eodCatalogues, myCols);
		myTableSorterCatalogues = new TableSorter(myTableModelCatalogues);

		myEOTableCatalogues = new ZEOTable(myTableSorterCatalogues);
		//myEOTableNuits.addListener(myListenerContrat);
		myTableSorterCatalogues.setTableHeader(myEOTableCatalogues.getTableHeader());		

		myEOTableCatalogues.setBackground(CocktailConstantes.COLOR_BKG_TABLE_VIEW);
		myEOTableCatalogues.setSelectionBackground(CocktailConstantes.COLOR_SELECTED_ROW);
		myEOTableCatalogues.setSelectionMode(ListSelectionModel.MULTIPLE_INTERVAL_SELECTION);

		viewCatalogues.setLayout(new BorderLayout());
		viewCatalogues.setBorder(BorderFactory.createEmptyBorder(2,2,2,2));
		viewCatalogues.removeAll();
		viewCatalogues.add(new JScrollPane(myEOTableCatalogues), BorderLayout.CENTER);

		myCols = new Vector<ZEOTableModelColumn>();

		col = new ZEOTableModelColumn(eodArticles, EOCatalogueArticle.CAAR_REFERENCE_KEY, "Référence", 150);
		col.setAlignment(SwingConstants.LEFT);
		myCols.add(col);
		col = new ZEOTableModelColumn(eodArticles, EOCatalogueArticle.ARTICLE_KEY+"."+EOArticle.ART_LIBELLE_KEY, "ARTICLES", 350);
		col.setAlignment(SwingConstants.LEFT);
		myCols.add(col);
		col = new ZEOTableModelColumn(eodArticles, EOCatalogueArticle.CAAR_PRIX_HT_KEY, "Prix HT", 75);
		col.setAlignment(SwingConstants.RIGHT);
		myCols.add(col);
		col = new ZEOTableModelColumn(eodArticles, EOCatalogueArticle.CAAR_PRIX_TTC_KEY, "Prix TTC", 75);
		col.setAlignment(SwingConstants.RIGHT);
		myCols.add(col);
		col = new ZEOTableModelColumn(eodArticles, EOCatalogueArticle.ARTICLE_KEY+"."+EOArticle.ARTICLES_MARCHE_KEY+"."+EOArticleMarche.ARTM_LIVRAISON_KEY, "Livraison", 40);
		col.setAlignment(SwingConstants.RIGHT);
		myCols.add(col);
		col = new ZEOTableModelColumn(eodArticles, EOCatalogueArticle.ARTICLE_KEY+"."+EOArticle.ARTICLES_MARCHE_KEY+"."+EOArticleMarche.ARTM_GARANTIE_KEY, "Garantie", 40);
		col.setAlignment(SwingConstants.RIGHT);
		myCols.add(col);

		myTableModelArticles = new ZEOTableModel(eodArticles, myCols);
		myTableSorterArticles = new TableSorter(myTableModelArticles);

		myEOTableArticles = new ZEOTable(myTableSorterArticles);
		//myEOTableNuits.addListener(myListenerContrat);
		myTableSorterArticles.setTableHeader(myEOTableArticles.getTableHeader());		

		myEOTableArticles.setBackground(CocktailConstantes.COLOR_BKG_TABLE_VIEW);
		myEOTableArticles.setSelectionBackground(CocktailConstantes.COLOR_SELECTED_ROW);
		myEOTableArticles.setSelectionMode(ListSelectionModel.MULTIPLE_INTERVAL_SELECTION);

		viewArticles.setLayout(new BorderLayout());
		viewArticles.setBorder(BorderFactory.createEmptyBorder(2,2,2,2));
		viewArticles.removeAll();
		viewArticles.add(new JScrollPane(myEOTableArticles), BorderLayout.CENTER);

		
		
		myCols = new Vector<ZEOTableModelColumn>();

		col = new ZEOTableModelColumn(eodOptions, EOCatalogueArticleOpt.CAAR_REFERENCE_KEY, "Référence", 150);
		col.setAlignment(SwingConstants.LEFT);
		myCols.add(col);
		col = new ZEOTableModelColumn(eodOptions, EOCatalogueArticleOpt.ARTICLE_KEY+"."+EOArticle.ART_LIBELLE_KEY, "Options", 350);
		col.setAlignment(SwingConstants.LEFT);
		myCols.add(col);
		col = new ZEOTableModelColumn(eodOptions, EOCatalogueArticleOpt.CAAR_PRIX_HT_KEY, "Prix HT", 75);
		col.setAlignment(SwingConstants.RIGHT);
		myCols.add(col);

		myTableModelOptions = new ZEOTableModel(eodOptions, myCols);
		myTableSorterOptions = new TableSorter(myTableModelOptions);

		myEOTableOptions = new ZEOTable(myTableSorterOptions);
		//myEOTableNuits.addListener(myListenerContrat);
		myTableSorterOptions.setTableHeader(myEOTableOptions.getTableHeader());		

		myEOTableOptions.setBackground(CocktailConstantes.COLOR_BKG_TABLE_VIEW);
		myEOTableOptions.setSelectionBackground(CocktailConstantes.COLOR_SELECTED_ROW);
		myEOTableOptions.setSelectionMode(ListSelectionModel.MULTIPLE_INTERVAL_SELECTION);

		viewOptions.setLayout(new BorderLayout());
		viewOptions.setBorder(BorderFactory.createEmptyBorder(2,2,2,2));
		viewOptions.removeAll();
		viewOptions.add(new JScrollPane(myEOTableOptions), BorderLayout.CENTER);

	}

	public ZEOTable getMyEOTableCatalogues() {
		return myEOTableCatalogues;
	}

	public void setMyEOTableCatalogues(ZEOTable myEOTableCatalogues) {
		this.myEOTableCatalogues = myEOTableCatalogues;
	}

	public ZEOTable getMyEOTableArticles() {
		return myEOTableArticles;
	}

	public void setMyEOTableArticles(ZEOTable myEOTableArticles) {
		this.myEOTableArticles = myEOTableArticles;
	}

	public ZEOTable getMyEOTableOptions() {
		return myEOTableOptions;
	}

	public void setMyEOTableOptions(ZEOTable myEOTableOptions) {
		this.myEOTableOptions = myEOTableOptions;
	}

	public ZEOTableModel getMyTableModelCatalogues() {
		return myTableModelCatalogues;
	}

	public void setMyTableModelCatalogues(ZEOTableModel myTableModelCatalogues) {
		this.myTableModelCatalogues = myTableModelCatalogues;
	}

	public ZEOTableModel getMyTableModelArticles() {
		return myTableModelArticles;
	}

	public void setMyTableModelArticles(ZEOTableModel myTableModelArticles) {
		this.myTableModelArticles = myTableModelArticles;
	}

	public ZEOTableModel getMyTableModelOptions() {
		return myTableModelOptions;
	}

	public void setMyTableModelOptions(ZEOTableModel myTableModelOptions) {
		this.myTableModelOptions = myTableModelOptions;
	}

	public javax.swing.JButton getBtnAddArticle() {
		return btnAddArticle;
	}

	public void setBtnAddArticle(javax.swing.JButton btnAddArticle) {
		this.btnAddArticle = btnAddArticle;
	}

	public javax.swing.JButton getBtnAddCatalogue() {
		return btnAddCatalogue;
	}

	public void setBtnAddCatalogue(javax.swing.JButton btnAddCatalogue) {
		this.btnAddCatalogue = btnAddCatalogue;
	}

	public javax.swing.JButton getBtnAddOption() {
		return btnAddOption;
	}

	public void setBtnAddOption(javax.swing.JButton btnAddOption) {
		this.btnAddOption = btnAddOption;
	}

	public javax.swing.JButton getBtnDelArticle() {
		return btnDelArticle;
	}

	public void setBtnDelArticle(javax.swing.JButton btnDelArticle) {
		this.btnDelArticle = btnDelArticle;
	}

	public javax.swing.JButton getBtnDelCatalogue() {
		return btnDelCatalogue;
	}

	public void setBtnDelCatalogue(javax.swing.JButton btnDelCatalogue) {
		this.btnDelCatalogue = btnDelCatalogue;
	}

	public javax.swing.JButton getBtnDelOption() {
		return btnDelOption;
	}

	public void setBtnDelOption(javax.swing.JButton btnDelOption) {
		this.btnDelOption = btnDelOption;
	}

	public javax.swing.JButton getBtnFermer() {
		return btnFermer;
	}

	public void setBtnFermer(javax.swing.JButton btnFermer) {
		this.btnFermer = btnFermer;
	}

	public javax.swing.JButton getBtnUpdateArticle() {
		return btnUpdateArticle;
	}

	public javax.swing.JTextField getTfFiltreCatalogue() {
		return tfFiltreCatalogue;
	}

	public void setTfFiltreCatalogue(javax.swing.JTextField tfFiltreCatalogue) {
		this.tfFiltreCatalogue = tfFiltreCatalogue;
	}

	public javax.swing.JTextField getTfFiltreFournisseur() {
		return tfFiltreFournisseur;
	}

	public void setTfFiltreFournisseur(javax.swing.JTextField tfFiltreFournisseur) {
		this.tfFiltreFournisseur = tfFiltreFournisseur;
	}

	public javax.swing.JTextField getTfFiltreLot() {
		return tfFiltreLot;
	}

	public void setTfFiltreLot(javax.swing.JTextField tfFiltreLot) {
		this.tfFiltreLot = tfFiltreLot;
	}

	public javax.swing.JTextField getTfFiltreMarche() {
		return tfFiltreMarche;
	}

	public void setTfFiltreMarche(javax.swing.JTextField tfFiltreMarche) {
		this.tfFiltreMarche = tfFiltreMarche;
	}

	public void setBtnUpdateArticle(javax.swing.JButton btnUpdateArticle) {
		this.btnUpdateArticle = btnUpdateArticle;
	}

	public javax.swing.JButton getBtnUpdateCatalogue1() {
		return btnUpdateCatalogue1;
	}

	public void setBtnUpdateCatalogue1(javax.swing.JButton btnUpdateCatalogue1) {
		this.btnUpdateCatalogue1 = btnUpdateCatalogue1;
	}

	public javax.swing.JButton getBtnUpdateOption() {
		return btnUpdateOption;
	}

	public void setBtnUpdateOption(javax.swing.JButton btnUpdateOption) {
		this.btnUpdateOption = btnUpdateOption;
	}

	public javax.swing.JCheckBox getCheckAnnule() {
		return checkAnnule;
	}

	public void setCheckAnnule(javax.swing.JCheckBox checkAnnule) {
		this.checkAnnule = checkAnnule;
	}

	public javax.swing.JCheckBox getCheckValide() {
		return checkValide;
	}

	public void setCheckValide(javax.swing.JCheckBox checkValide) {
		this.checkValide = checkValide;
	}

	public javax.swing.JComboBox getExercices() {
		return exercices;
	}

	public void setExercices(javax.swing.JComboBox exercices) {
		this.exercices = exercices;
	}
    

	public void setListeExercices(NSArray liste) {

		exercices.removeAllItems();
		exercices.addItem("*");
		for (int i=0;i<liste.count();i++)
			exercices.addItem(liste.objectAtIndex(i));
	}

    	
}
